@charset "UTF-8";

.banner {
  position: absolute;
  right: 20px;
  bottom: 20px;
  z-index: 99;
}
/* .banner {
  position: fixed;
  right: 20px;
  bottom: 20px;
  z-index: 99;
} */

.banner__inner {
  background: #fff;
  width: 290px;
  height: 110px;
  border-radius: 8px;
  padding: 5px;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  gap: 0;
  box-shadow: 0 0 30px 0 rgba(27, 64, 137, 0.1);
}

.banner__img {
  aspect-ratio: 1/1;
  width: 110px;
  height: 110px;
  border-radius: 5px;
  overflow: hidden;
  flex: none;
}

.banner__img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  transition: transform 0.4s ease-out;
}

.banner__arrow {
  border-radius: 30px;
  border: 1px solid #0070b930;
  width: 30px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  right: 6px;
  bottom: 11px;
  img {
    width: 12px;
    height: 11px;
    transform: translate3d(0, 0, 0);
  }
}

.banner__close {
  position: absolute;
  top: 10px;
  right: 10px;
  width: 12px;
  height: 12px;
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
  z-index: 2;
  display: flex;
  align-items: center;
  justify-content: center;
}
.banner__close img {
  width: 7.65px;
  height: 7.65px;
  display: block;
}

.banner__inner {
  position: relative;
}

/* SP
----------------------------------------------- */

@media (max-width: 767px) {
  .banner {
    right: 0;
    left: 0;
    bottom: 5px;
    /* bottom: 10px; */
  }

  .banner__inner {
    width: calc(100% - 60px - 10px);
    height: calc(50px - 10px);
    margin: 0 auto;
    justify-content: flex-start;
    border-radius: 5px;
  }
  .banner__img {
    aspect-ratio: 81/40;
    width: auto;
    height: auto;
    min-width: 81px;
    max-height: 50px;
    border-radius: 3px;
    max-width: 81px;
  }
  .banner__img img {
    object-fit: cover;
  }
  .banner__txt {
    width: 100%;
    max-height: 50px;
  }
  .banner__txt img {
    max-height: 50px;
    width: auto;
  }
  .banner__arrow {
    width: 16px;
    height: 16px;
    right: 4px;
    bottom: 4px;
  }
  .banner__arrow img {
    width: 8px;
    height: 7px;
  }
  .banner__close {
    top: 3px;
    right: 35px;
  }
  /*banner用の隙間調整*/
  .footer {
    padding-bottom: 90px;
  }
}

/* hover
----------------------------------------------- */

@media (any-hover: hover) {
  .banner__inner:hover .banner__img img {
    transform: scale(1.07);
  }
  .banner__inner:hover .banner__arrow img {
    animation: link-icon 0.4s ease-out;
  }
}

/* animation
----------------------------------------------- */
@keyframes link-icon {
  0% {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
  50% {
    opacity: 0;
    transform: translate3d(0.625rem, 0, 0);
  }
  50.00001% {
    opacity: 0;
    transform: translate3d(-0.625rem, 0, 0);
  }
  100% {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}
